> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a provider's configured credential sets

> Returns whether the organization-level default credentials are set for the provider and the list of business-identity IDs that have their own credential set. Never returns secrets. Providers without per-identity credentials return an empty `identityIds` list.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/organizations/integrations/credentials
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/credentials:
    get:
      tags:
        - Integrations Config
      summary: Get a provider's configured credential sets
      description: >-
        Returns whether the organization-level default credentials are set for
        the provider and the list of business-identity IDs that have their own
        credential set. Never returns secrets. Providers without per-identity
        credentials return an empty `identityIds` list.
      operationId: IntegrationsConfigController_getCredentialSummary
      parameters:
        - name: provider
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Provider credential summary.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationCredentialSummaryEntity'
      security:
        - bearer: []
components:
  schemas:
    IntegrationCredentialSummaryEntity:
      type: object
      properties:
        defaultConfigured:
          type: boolean
          description: >-
            Whether organization-level default credentials are configured for
            the provider.
        identityIds:
          description: >-
            Business-identity IDs that have their own credential set. Never
            includes secrets.
          type: array
          items:
            type: string
      required:
        - defaultConfigured
        - identityIds
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````